using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace LHDN.CRM.Models.Models
{
    using System.ComponentModel.DataAnnotations;
    using System.ComponentModel.DataAnnotations.Schema;
    using System.Runtime.Serialization;

    [Table("Ref_TindakanSusulan")]
    public class TindakanSusulan
    {
        [Key]
        [DatabaseGenerated(DatabaseGeneratedOption.Identity)]
        public int TindakanSusulanID { get; set; }
        public int KodSelesaiID { get; set; }

        [StringLength(2)]
        public string TindakanSusulanCode { get; set; }

        [StringLength(250)]
        public string TindakanSusulanDesc { get; set; }

        [StringLength(50)]
        public string Unit { get; set; }

        public bool? IsActive { get; set; }

        [Required]
        [StringLength(255)]
        public string CreatedBy { get; set; }

        [Column(TypeName = "datetime2")]
        public DateTime CreatedDateTime { get; set; }

        [Required]
        [StringLength(255)]
        public string LastUpdatedBy { get; set; }

        [Column(TypeName = "datetime2")]
        public DateTime LastUpdatedDateTime { get; set; }
    }
}
